/blocks/block

Endpoint returning simple data about a specific block

Recent Requests
Log in to see full request history
TimeStatusUser Agent
Retrieving recent requests…
LoadingLoading…
"use strict";
const Shards = require("web3-shards");

const shards = Shards.API.Ethereum.V1;
shards.configure({
    apiKey: "YOUR_API_KEY", // Join the discord to get your api key. https://discord.com/invite/kJd8W7Nh7e
    maxRequestsPerSecond:5, // client-side limiter to prevent accidental burning
    logger: 1               // 0=none,1=errors,2=verbose
});

const getBlocks = async function() {
    const resp = await shards.blocks.getBlock(14245233);
    console.log(resp)
}

getBlocks();
Query Params
int32
required
Defaults to 14245233

The block number to retrieve.

string
enum
required
Defaults to eth

The chain to target. One of eth | bsc | shibarium.

Allowed:
Headers
string
Defaults to db2f88b1-21cd-440b-9e8c-486a8688e34e
Responses

Language
LoadingLoading…
Response
Click Try It! to start a request and see the response here! Or choose an example:
application/json